package com.kym.service;

import com.kym.entity.StationFeeRate;
import com.kym.entity.common.PageBean;
import com.kym.entity.queryParams.PlatformFeeRateQueryParam;
import com.kym.service.mybatisplus.MyBaseService;

/**
 * <p>
 * 站点平台费率表 服务类
 * </p>
 *
 * @author skyline
 * @since 2025-04-18
 */
public interface StationFeeRateService extends MyBaseService<StationFeeRate> {

    StationFeeRate getStationFeeRate(String stationId);

    PageBean<StationFeeRate> listStationPlatformFeeRate(PlatformFeeRateQueryParam params);

    void bind(StationFeeRate stationFeeRate);
}
